<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}

if($sesion->getVar('ac_tipo_user')=='1'){
	$cd_docente=$sesion->getVar("info_doc.cod_profesor"); 	
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Asignacion de faltas</title>
 <script type="text/x-kendo-template" id="toolTemplate">
	<div class="toolbar">
		<a class="k-button k-button-icontext k-grid-add"><span class="k-icon k-add"></span>Add new record</a>
	</div>
</script>
<script  type="text/javascript"> 
var element=null, rowt=null;
$(document).ready(function(e) {
    var total_por=0;
	var cod_docente="<?php echo $cd_docente ?>"
	var gr=null;
	var ide_act;
	//codigo sobre la interfaz del dialogo
	
//-----------------------------------------------------------------------------------------------------
	$("#md_n_txtsedes").change(function(){
		cd_sede=$(this).val();
		$.ajax({
			type: "POST",
			url: "includes/cargar_selec_normal.php",
			data: {cod_cnds:cod_docente+"|"+cd_sede,codigo:'a25',mopc:'0'},
			success: function(dt){
				$("#md_n_txtjornadas").html(dt);
				$("#md_n_txtjornadas").trigger("change");
			},
		});
	});

//-----------------------------------------------------------------------------------------------------

	$("#md_n_txtjornadas").change(function(){
		var jor=$(this).val();
		$.ajax({
			type: "POST",
			url: "mod_notas/cargar_select_grupos.php",
			data: {sede:$("#md_n_txtsedes").val(), jornada:jor},
			success: function(rta){
				$("#md_n_txtgrupo").html(rta);
				$("#md_n_txtgrupo").trigger("change");
			}
		});
	});

//-----------------------------------------------------------------------------------------------------	

	$("#md_n_txtgrupo").change(function(){
		cd_grupo=$(this).val();
		$.post("mod_notas/inf_det_periodo.php",{cod_gr:cd_grupo,codigo_dc:cod_docente},function(r){
			det_periodos=$.parseJSON(r)
		});
	})

//-----------------------------------------------------------------------------------------------------
			
	
	$("#md_n_periodo").change(function(){
		
	});
//-----------------------------------------------------------------------------------------------------			
	$("#md_n_txtsedes").trigger("change");
	
//-----------------------------------------------------------------------------------------------------
	 var dTsMaterias=new kendo.data.DataSource({
		pageSize: 100,
		id:'id', 
		transport: {
			read: "mod_inasistencias/list_materias_grupo.php",
		},
	 });
	 
	var objDtsMat=$("#txt_materia_inasis").kendoDropDownList({
		dataTextField: "nombre",
		dataValueField: "id",
		dataSource:dTsMaterias
	 }).data("kendoDropDownList");

var rowOpen="",b=true;

element = $("#grid_list_infoxfaltxinasist").kendoGrid({
	dataSource: {
		type: "json",
		transport: {
			read: "mod_inasistencias/list_estudiantesxfaltas.php"
		},
		schema: {
			model:{
				id: "id",
			}
		},
		pageSize: 45,
		serverPaging: true,
		serverSorting: true
	},
	detailExpand:function(e){
		dataid=e.masterRow.attr("data-uid")
		
		if(rowOpen!=dataid){
			element.collapseRow(element.tbody.find(">tr.k-master-row[data-uid="+rowOpen+"]"))
			rowOpen=dataid
		}
	},
	height: 430,
	sortable: true,
	pageable: true,
	scrollable: true,
	selectable: "row",
	detailTemplate: kendo.template($("#template").html()),
	detailInit: detailInit,
	change:function(){
		dts=element.dataItem(this.tbody.find(">tr.k-state-selected"));
		dTsMaterias.filter({ field: "cd_est", operator: "eq", value: dts.cod_estudiante });
		
		selector=this.tbody.find(">tr.k-state-selected").first()
		this.expandRow(selector);
		rowOpen=selector.attr("data-uid");

		
	},
	dataBound: function() {
		selector=this.tbody.find("tr.k-master-row").first()
		element.select(element.tbody.find(">tr:first"));
		/*this.expandRow(selector);
		rowOpen=selector.attr("data-uid");*/

	},
	columns: [
		{field: "numedocumento_est", title: "N°. Documento"},
		{field: "nom_ape", title: "Nombres y apellidos"},
		{field: "num_faltas_jus", title: "Faltas justificadas"},
		{field: "num_faltas_injus", title: "Faltas injustificadas"},
	//	{command: { text: "add falta", imageClass: "k-add", class: "k-grid-add", click: function(){},  }, title: " ", width: "110px" }
	]
}).data("kendoGrid");


function detailInit(e) {
	var detailRow = e.detailRow;
	detailRow.find("#tabs_detalles").kendoTabStrip({
		animation: {
			open: { effects: "fadeIn" }
		}
	});
	
	 dTs=new kendo.data.DataSource({
		type: "json",
		transport: {
			read: "mod_inasistencias/list_inasistencias.php",
			parameterMap:function(){
				return{
					id:e.data.id
				}
			},			
		},
		schema: {
			model:{
				id: "id_inasis",
				fields: {
					id_inasis: { editable: false, nullable: true },
					fecha: { type:"date", validation: { required: true, } },
					tipo: "tipo",
					obs: "obs",
				}
			}
		},
		
		serverPaging: false,
		serverSorting: false,
		serverFiltering: false,
		pageSize:6,
	})
	
	var gridInasis=detailRow.find("#det_inasistencias").kendoGrid({
		dataSource: dTs,
		navigatable: false,
		selectable: "row",
		scrollable: false,
		sortable: true,
		pageable: true,
		change:function(e){
		  dts=gridInasis.dataItem(this.tbody.find(">tr.k-state-selected"));
		  viewModel.set("fecha",dts.fecha);
		  viewModel.set("tipo_inasis",dts.cod_tipo_in);
		  viewModel.set("obs",dts.obs);
  	      viewModel.set("id",dts.id_inasis);
		},
		toolbar: kendo.template($("#toolTemplate").html()),
		columns: [
			{ field: "nom_asi", title:"Materia" ,  width: 100, sortable: false},
			{ field: "fecha", title:"Fecha", template: '#= kendo.toString(fecha,"yyyy-MM-dd") #', width: 100, sortable: false, },
			{ field: "tipo", title:"Tipo Falta" ,  width: 100, sortable: false},
			{ field: "obs", title: "Observacion", width: 200, sortable: false}
		]
	}).data("kendoGrid");
	$("th").css("font-weight","bold")
}	

var viewModel = kendo.observable({
	list_tip_fal_inasis:[
		{name: "Justificada", value: "0"},
		{name: "Injustificada", value: "1"},
	],
	fecha: new Date(),
	displayDatePickerValue: function() {
        var fecha = this.get("fecha");
        return kendo.toString(fecha, "yyyy-MM-dd");
    },
	obs:"",
	id:null,
	tipo_inasis:null,
	displayDropDownListValue: function() {
		var tipo_inasis = this.get("tipo_inasis");
		return kendo.stringify(tipo_inasis);
	},
	add:function(){
		oper=txtopera.value();
		if(oper=="edit"){
			oper=(this.id) ? "edit": "new";
		}
		dTs.add({ obs: this.obs, cod_tipo_in:tipo_inasis.value(), tipo: tipo_inasis.text(), fecha: kendo.toString(this.fecha,"yyyy-MM-dd") , nom_asi:objDtsMat.text() });
	}
})
viewModel.dropDownListValue = viewModel.list_tip_fal_inasis[0];
kendo.bind($("#form-container"), viewModel);
var tipo_inasis=$("#txt_tipo_falta_inasis").data("kendoDropDownList")	
var txtopera=$("#txtopera").data("kendoDropDownList")
});
</script>
<script type="text/x-kendo-template" id="template">
	<div id="tabs_detalles" class="tabstrip">
		<ul>
			<li class="k-state-active"><strong>Inasistencias</strong>
			</li>
			<li>
				<strong>Contact Information</strong>
			</li>
		</ul>
		<div>
			<div id="det_inasistencias" class="orders"></div>
		</div>
		<div>
			<div class='employee-details'>
				<ul>
					<li><label>Country:</label></li>
					<li><label>City:</label></li>
					<li><label>Address:</label></li>
					<li><label>Home Phone:</label></li>
				</ul>
			</div>
		</div>
	</div>
</script>

</head>

<body>
<table align="center">
	<tr>
	  <td colspan="2">
          <table align="left">
	        <tr clas class="tit1">
	          <td><?php echo $cleguaje->getField('global','name_sede') ?></td>
	          <td><?php echo $cleguaje->getField('global','name_jornada') ?></td>
	          <td><?php echo $cleguaje->getField('global','grupos') ?></td>
	          <td id="tipo_evaluacion"><?php echo $cleguaje->getField('md_notas','periodos') ?></td>
	          </tr>
	        <tr>
	          <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
	            <?php
		  	$sql="SELECT
						adm_sedes.cod_sede
						, adm_sedes.nom_sede
					FROM
						aca_asignaturasxgrupos
						INNER JOIN aca_grupos 
							ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
						INNER JOIN adm_sedes 
							ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
					WHERE (aca_asignaturasxgrupos.cod_profesor='$cd_docente') GROUP BY adm_sedes.cod_sede";
			echo $sql;
			$academia->instruccion($sql);
			while($reg=$academia->extraer_registro()){
				echo "<option value='".$reg[cod_sede]."' aux='$cmpaux2' >".$reg[nom_sede]."</option>";	
			}
			$academia->liberar();
					
		?>
	            </select></td>
	          <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            <?php
		
               ?>
	            </select></td>
	          <td><select name="md_n_txtgrupo" class="campos" id="md_n_txtgrupo" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            </select></td>
	          <td><select name="md_n_txtperiodo" class="campos" id="md_n_periodo" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            </select></td>
	          </tr>
          </table>
      </td>
  </tr>
	<tr>
    	<td>
    		<div id="grid_list_infoxfaltxinasist" style="width:750px !important"></div>
        </td>
        <td id="form" valign="top">
        	<div id="form-container" class="k-block k-shadow" style="height:auto !important; width:auto !important">
                <table border="0">
                  <tr>
                    <td>
                      <select name="txtopera" id="txtopera" data-role="dropdownlist">
                        <option value="new" selected="SELECTED">Nuevo registro</option>
                        <option value="edit">Actualizar registro</option>
                      </select>                      
                      <input type="hidden" data-bind="value: id" name="cd_cod_edit_inas" id="cd_cod_edit_inas">
                    </td>
                    <td><select name="txt_materia_inasis" id="txt_materia_inasis"  ></select></td>
                  </tr>
                  <tr>
                    <td><input name="txt_fecha_inasis" data-role="datepicker"  type="text" data-bind="value: fecha"></td>
                    <td>
                    <select name="txt_tipo_falta_inasis" id="txt_tipo_falta_inasis" data-role="dropdownlist" data-text-field="name" data-value-field="value" data-bind="source: list_tip_fal_inasis, value: tipo_inasis"></select>
                    </td>
                  </tr>
                  <tr>
                    <td colspan="2"><textarea style="width:290px !important" class="k-textbox" data-bind="value: obs" name="txt_obs_inasis" cols="50" rows="10" id="txt_obs_inasis"></textarea></td>
                  </tr>
                  <tr>
                    <td><button data-bind="click: add">Guardar</button></td>
                    <td>&nbsp;</td>
                  </tr>
                </table>

            </div>
        </td>
	</tr>
</table>
</div>
</body>
</html>